body{
    font-family: "Montserrat", sans-serif;
    margin:0;
    background-color: #000;
    color:#fff;
    overflow: hidden;
}

.main{
    display:flex;
    height:100vh;
    padding: 0.5rem;
}

.sidebar{
    width:340px;
    background-color:#000;
    color:#fff;
    margin-right: 0.5rem;
}

.navbar{
    border-radius: 1rem;
    height:100px;
    padding:0.5rem 0.75rem;
    display: flex;
    flex-direction: column;
    background-color: #121212;
}

.nav-option{
    line-height: 2.5rem;
    opacity: 0.7;
}

.nav-option:hover{
    opacity: 1;
}

.nav-option i{
    font-size: 1.25rem;
    padding: 0.5rem 0.75rem;
}

.nav-option a{
    font-size: 1rem;
    margin-left: 1rem;
}

.library{
    background-color: #121212;
    border-radius: 1rem;
    height: 100%;
    margin-top: 0.5rem;
    padding: 0.5rem 0.75rem;
}

.option{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.library img{
    height: 1.25rem;
    width: 1.25rem;
}

.icons{
    font-size: 1.5rem;
    display: flex;
}

.icons i{
    opacity: 0.7;
    margin-right: 1rem;
}

.icons i:hover{
    opacity: 1;
}

.box {
    height:8rem;
    background-color: #232323;
    border-radius: 0.75rem;
    margin:0.75rem 0 1.75rem 0;
    padding: 0.75rem 1rem;
}

.box-p1{
    font-size: 1 rem;
    font-weight: 500;
}

.box-p2{
    font-size: 0.85rem;
    opacity: 0.9;
}

.badge{
    background-color: #fff;
    border:none;
    height:2rem;
    border-radius: 100px;
    padding: 0.25rem 1rem;
    font-weight: 700;
    width:fit-content;
    margin-top: 0.5rem;
}

.main-content{
    background-color: #000;
    flex:1;
    border-radius: 1rem;
    padding:0 1.5rem 0 1.5rem;
    overflow:scroll ;
}

.sticky-nav{
    position: sticky;
    top:0;
    background-color: #121212;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 0 1rem 0;
    z-index: 10;
}

.sticky-nav-icons{
    margin-left: 0.75rem;
}

.sticky-nav-options{
    display: flex;
    justify-content: center;
    align-items: center;
    
}
.nav-item{
    margin-right: 1rem;
}

.dark-badge{
    background-color: #000;
    color: #fff;
}

@media(max-width:1000px) {
    .hide{
        display: none;
    }
}

.card{
    background-color: #232323;
    width:150px;
    border-radius: 0.5rem;
    padding: 1rem;
    margin-left: 1.5rem;
    margin-top: 1rem;
}

.cards-container{
    display: flex;
    flex-wrap: wrap;

}

.card-img{
    width:100%;
    border-radius: 0.5rem;
}

.card-title{
    font-weight: 600;
}

.card-info{
    font-size: 0.85rem;
    opacity: 0.5;
}

.footer{
    height:250px;
    display: flex;
    align-items:center ;
    justify-content: center;
}

.line{
    width: 90%;
    height: 50%;
    border-top: 1px solid white;
    opacity: 0.4.;
}

.music-player{
    background-color: #000;
    position: fixed;
    bottom: 0;
    width:100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.album{
    width:25%;
}



.player{
    width: 50%;
}

.player-control-icon{
    height: 1rem;
    margin-right: 1.75rem;
    opacity: 0.7;
}

.player-control-icon:hover{
    opacity: 1;
}

.player-controls{
    display: flex;
    justify-content: center;
    align-items: center;
}

.playback-bar{
    display: flex;
    justify-content: center;
    align-items: center;
}

.progress-bar{
    width: 70%;
    appearance: none;
    background-color: transparent;
    cursor: pointer;
}

.progress-bar::-webkit-slider-runnable-track{
    background-color: #ddd;
    border-radius: 100px;
    height:0.2rem
}

.progress-bar::-webkit-slider-thumb{
    appearance: none;
    height:1rem;
    width: 1rem;
    background-color: #1bd769;
    border-radius: 50%;
    margin-top:-6px;

}

.controls{
    width:25%;

}

a{
    text-decoration: none;
    color: #fff;
}